Bug 523178 - (CVE-2010-0746) CVE-2010-0746 DeviceKit: Privilege escalation via pluggable storage device labels
CVE-2010-0746 DeviceKit: Privilege escalation via pluggable storage device la...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,reported=20090914,pub...
: Security
Depends On: 572296
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-14 07:59 EDT by Jan Lieskovsky
Modified: 2013-03-05 23:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2009-09-14 07:59:19 EDT
A privilege escalation flaw was found in the way DeviceKit used to handle
labels for pluggable storage devices. A local, unprivileged user could
provide a specially-crafted string as a name, for the newly created / added
system device, leading to escalation of his privileges.

Upstream bug report:
--------------------
http://bugs.freedesktop.org/show_bug.cgi?id=23235

Upstream patch:
---------------
http://cgit.freedesktop.org/DeviceKit/DeviceKit-disks/commit/?id=62f883c7d38e75d0669c162529062a1e81d00da2
Comment 3 Jan Lieskovsky 2009-09-16 09:26:06 EDT
This issue affects the versions of DeviceKit-disks package, as shipped
with Fedora releases of 10 and 11 (DeviceKit-disks-002-1.git20080720.fc10
and DeviceKit-disks-004-4.fc11).
Comment 7 Vincent Danen 2010-03-10 14:03:12 EST
This is corrected in the upstream version of DeviceKit-disks as shipped with Fedora 12.  It is not fixed in Fedora 11.
Comment 9 Jan Lieskovsky 2010-04-03 12:06:40 EDT
This is CVE-2010-0746.
Comment 10 Vincent Danen 2010-04-06 15:38:09 EDT
An exploit/proof-of-concept for this is now public:

http://xorl.wordpress.com/2010/04/06/cve-2010-0746-devicekit-local-privilege-escalation/

Note You need to log in before you can comment on or make changes to this bug.